%define pkgname builder

Name: ruby-%pkgname
Version: 2.1.2
Release: alt2
Summary: Provide a simple way to create XML markup and data structures
License: MIT/X Consortium
Group: Development/Ruby
Url: http://rubyforge.org/projects/builder/

Packager: Ruby Maintainers Team <ruby@packages.altlinux.org>

Source: %pkgname-%version.tar
Patch: %name-%version-%release.patch

BuildArch: noarch

BuildRequires(pre): rpm-build-ruby
# Automatically added by buildreq on Mon Mar 31 2008 (-bi)
BuildRequires: ruby-module-etc ruby-rake ruby-tool-rdoc ruby-tool-setup

%description
Builder::XmlMarkup:: Generate XML markup notiation
Builder::XmlEvents:: Generate XML events (i.e. SAX-like)

%package doc
Summary: Documentation files for %name
Group: Documentation

%description doc
Documentation files for %name

%prep
%setup -n %pkgname-%version
%patch -p1
cp %_datadir/ruby-setup/setup.rb .

%build
%ruby_config
%ruby_build
rake test_all

%install
%ruby_install
%rdoc lib/

%files
%doc CHANGES README
%ruby_sitelibdir/*

%files doc
%ruby_ri_sitedir/Builder*

%changelog
* Mon Mar 31 2008 Sir Raorn <raorn@altlinux.ru> 2.1.2-alt2
- Rebuilt with rpm-build-ruby

* Mon Jan 07 2008 Sir Raorn <raorn@altlinux.ru> 2.1.2-alt1
- Initial build for ALT Linux

